io.undertow.util

## Class CanonicalPathUtils

- java.lang.Object
- - io.undertow.util.CanonicalPathUtils

    public class CanonicalPathUtils
    extends Object

Author:
  Stuart Douglas

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `canonicalize(String path)`
`static String` `canonicalize(String path, boolean nullAllowed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### canonicalize

    public static String canonicalize(String path)

#### canonicalize

    public static String canonicalize(String path,
                                      boolean nullAllowed)